%define which_xterm xterm-old
%global momorel 1

Summary: The terminal feature database used by certain applications.
Name: termcap
Epoch: 1
Version: 5.4
Release: %{momorel}m
License: Public Domain
Group: System Environment/Base
%NoSource 0 ftp://dickey.his.com/ncurses/ncurses-%{version}.tar.gz 069c8880072060373290a4fefff43520
Source1: ftp://dickey.his.com/ncurses/5.4/patch-5.4-20040711.sh
Patch0: ncurses-5.4-kon2.patch
Patch1: ncurses-5.4-bterm.patch
Patch2: ncurses-5.4-which_xterm.patch
Patch10: ncurses-5.4-linux-console-color.patch
Patch20: ftp://dickey.his.com/ncurses/5.4/ncurses-5.4-20040718.patch.gz
Patch21: ftp://dickey.his.com/ncurses/5.4/ncurses-5.4-20040724.patch.gz
Patch22: ftp://dickey.his.com/ncurses/5.4/ncurses-5.4-20040731.patch.gz
Patch23: ftp://dickey.his.com/ncurses/5.4/ncurses-5.4-20040807.patch.gz
Patch24: ftp://dickey.his.com/ncurses/5.4/ncurses-5.4-20040814.patch.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: bash, ncurses, sed, sharutils

%description
The termcap package provides the /etc/termcap file.  /etc/termcap is a
database which defines the capabilities of various terminals and
terminal emulators.  Certain programs use the /etc/termcap file to
access various features of terminals (the bell, colors, and graphics,
etc.).

%prep
%setup -q -n ncurses-5.4
# Apply upstream interim patches.
sh %{SOURCE1}
%patch20 -p1 -b .20040718
%patch21 -p1 -b .20040724

# The ncurses package isn't here yet.
#%%patch22 -p1 -b .20040731
#%%patch23 -p1 -b .20040807
#%%patch24 -p1 -b .20040814

# Add definitions for kon2 and (bogl-)bterm, which include their own terminfo
# database files, but which need to be here for libtermcap's users.
%patch0 -p1 -b .kon2
%patch1 -p1 -b .bterm
# Handle the "what's xterm supposed to be?" configurable thingy.
%patch2 -p1 -b .which_xterm
pushd misc
cat terminfo.src | sed -e s,use=@WHICH_XTERM@,use=%{which_xterm},g > terminfo.src2 && cat terminfo.src2 > terminfo.src && rm terminfo.src2
popd

# If we're targeting Linux, make "console" an alias for either "linux" or
# "linux-m", as appropriate.  Is even correct for SPARC any more?
%ifos linux
%patch10 -p1 -b .linux-console-color
%endif

tic -Ct misc/terminfo.src > misc/termcap.src

%install
mkdir -p %{buildroot}/etc
install -m644 misc/termcap.src %{buildroot}/etc/termcap

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config /etc/termcap

%changelog
* Tue Mar  8 2005 Toru Hoshina <t@momonga-linux.org>
- (1:5.4-1m)
- sync with FC3(5.4-3).
- version is down from 11.0.1 to 5.4...

* Sat May  1 2004 Toru Hoshina <t@momonga-linux.org>
- (11.0.1-17m)
- import from FC1.

* Thu Oct 30 2003 zunda <zunda at freeshell.org>
- (11.0.1-5m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Feb 01 2003 TAKAHASHI Tamotsu
- (11.0.1-4m)
- add mlterm entry

* Fri Jan 31 2002 Kenta MURATA <muraken@momonga-linux.org>
- (11.0.1-3m)
- add bs and km to linux.

* Wed Nov  7 2001 Toru Hoshina <t@kondara.org>
- (11.0.1-2k)
- version up.
- do not nosrc.

* Tue May 22 2001 Toru Hoshina <toru@df-usa.com>
- add jfbterm and kon2 support.

* Thu Jul 20 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.
- add a patch for rectangle char capability.

* Sun Apr 09 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (10.2.7-9).
- re-add %defattr.

* Mon Mar 06 2000 Preston Brown <pbrown@redhat.com>
- add end key mappings for linux console (fix /bin/vi)

* Sat Mar 04 2000 Preston Brown <pbrown@redhat.com>
- remove typo

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- shifted fkey 3-20 added for xterm

* Fri Feb 18 2000 Preston Brown <pbrown@redhat.com>
- xterm entries from XFree86 3.3.6.
- completely apply debian policy for backspace and delete.

* Sun Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix xterm (#9141)

* Tue Feb 01 2000 Preston Brown <pbrown@redhat.com>
- small patch from Hans for xterm (#8634), revert HJ fix.

* Tue Feb 01 2000 Cristian Gafton <gafton@redhat.com>
- sync the xterm entry with the XFree86 3.3.6 one

* Tue Jan 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add patch form Hans de Goede <hans@highrise.nl> to get the termcap
  descriptions in sync with the terminfo (ncurses) ones
- make it a noarch package

* Fri Dec 10 1999 Shingo Akagaki <dora@kondara.org>
- fix spec file

* Sun Nov 21 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 10.2.7 - this should finally fix the "telnet from FreeBSD to Linux"
  problem

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Mon Oct 18 1999 Preston Brown <pbrown@redhat.com>
- xterm termcap patch from H.J. Lu; claims fixes xterm under 6.1

* Mon Mar 29 1999 Jeff Johnson <jbj@redhat.com>
- termcap used to be noarch but that is impossible with per-arch patches

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- merge sparc console termcap (from termfiles_sparc).

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- rebuild for glibc 2.1

* Thu May 07 1998 Erik Troan <ewt@redhat.com>
- added linux-lat entry
- build rooted

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

